function show_hide_div(id){
if(document.getElementById(id).style.display='none'){
document.getElementById(id).style.display='';
}
else{
document.getElementById(id).style.display='none';
}
}


function CheckEmail(emailStr)
{
var sErrMsg = "";
	//Checking For valid email
	var emailPat=/^(.+)@(.+)$/
	var specialChars="\\(\\)<>@,;:\\\\\\\"\\.\\[\\]"
	var validChars="\[^\\s" + specialChars + "\]"
	var quotedUser="(\"[^\"]*\")"
	var ipDomainPat=/^\[(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})\]$/
	var atom=validChars + '+'
	var word="(" + atom + "|" + quotedUser + ")"
	var userPat=new RegExp("^" + word + "(\\." + word + ")*$")
	var domainPat=new RegExp("^" + atom + "(\\." + atom +")*$")
	var matchArray=emailStr.match(emailPat)

	if (matchArray==null)
	{
		sErrMsg+="Email format invalid. Please check the address.<br>";
       return sErrMsg;
		
	}

	var user=matchArray[1]
	var domain=matchArray[2]

	if (user.match(userPat)==null)
	{
		// user is not valid
		sErrMsg+="Please enter a valid email.<br>";
		return sErrMsg;

	}

	var IPArray=domain.match(ipDomainPat);

	if (IPArray!=null) 
	{
		for (var i=1;i<=4;i++)
		{
			if (IPArray[i]>255) 
			{	
				sErrMsg+="Destination IP address is invalid!<br>";
				return sErrMsg;
			}
		}		
	}
	var domainArray=domain.match(domainPat);
	if (domainArray==null)
	{
		sErrMsg+="The domain name doesn't seem to be valid.<br>";
		return sErrMsg;
	}

	var atomPat=new RegExp(atom,"g");
	var domArr=domain.match(atomPat);
	var len=domArr.length;
		
	if (domArr[domArr.length-1].length<2 || domArr[domArr.length-1].length>3) 
	{
		sErrMsg+="The address must end in a three-letter domain, or two letter country.<br>";
		return sErrMsg;
	}

	if (len<2)
	{
		sErrMsg+="This address is missing a hostname!<br>";
		return sErrMsg;
		
	}
	return sErrMsg;
}